Subject: [RFC] VSOCK: About Virtio-vsock support "Multiqueue" feature ?

From: jiangyiwen <[email-masked]>
Date: Mon, 8 Oct 2018 15:06:43 +0800

Hi Stefan & All:

Now virtio-vsock only supports two vqs(tx and rx), that means
if multiple sockets in the guest will use the same vq to transmit
the message and get the response. In this way, the bandwidth will
be limited to ~700MB/s. So if there are multiple applications in
the guest, we should support "Multiqueue" feature for Virtio-vsock.

I want to know whether we already have plans to support multiqueue
or already have simple demo that can be used. If not, I will try
to implement this feature.

Thanks,
Yiwen.